#include "E3DObjectMoveInformation.h"

namespace HPL {
namespace E3D {

E3DObjectMoveInformation::E3DObjectMoveInformation():
m_vPosition(D3DXVECTOR3(0,0,0)),
m_fDegreeXZ(0),
m_nQuoatanion(0)
{
	this->m_vPosition = D3DXVECTOR3(0,0,0);
	//this->m_vRotate = D3DXVECTOR3(0,0,0);
	this->m_vVelocity = D3DXVECTOR3(0,0,0);

	this->m_dwTrigger = 0x00000L;
	this->m_bJumpAccelable = FALSE;
	this->m_fSpeed = 0;

	this->m_vGoalPosition = D3DXVECTOR3(0,0,0);
}
E3DObjectMoveInformation::~E3DObjectMoveInformation() {
}
void E3DObjectMoveInformation::set_Trigger( DWORD dwTriggerType, BOOL bEnable ) {
	if( bEnable ) {
		this->m_dwTrigger |= dwTriggerType;
	} else {
		this->m_dwTrigger &= ~dwTriggerType;
	}
}
BOOL E3DObjectMoveInformation::get_Trigger( DWORD dwTriggerType ) {
	return ((this->m_dwTrigger & dwTriggerType) != 0 )? TRUE: FALSE;
}

}
}
